# DataExchange
TKXSBase
Transfer

# Transfer_VoidBinder Class Reference

a VoidBinder is used to bind a starting item with a status,
error or warning messages, but no result
It is interpreted by TransferProcess, which admits a
VoidBinder to be over-written, and copies its check to the
new Binder

`#include <Transfer_VoidBinder.hxx>`

Inheritance diagram for Transfer_VoidBinder:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_VoidBinder ()
| a VoidBinder is not Multiple (Remark : it is not Simple too) But it can bring next results ...
Standard_EXPORT Handle_Standard_Type | ResultType () const
| while a VoidBinder admits no Result, its ResultType returns the type of <me>
Standard_EXPORT Standard_CString | ResultTypeName () const
| Returns "(void)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_VoidBinder::Transfer_VoidBinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_VoidBinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Binder.

Standard_EXPORT Handle_Standard_Type Transfer_VoidBinder::ResultType | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT Standard_CString Transfer_VoidBinder::ResultTypeName | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

The documentation for this class was generated from the following file:

- Transfer_VoidBinder.hxx